[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Member Functions | List of all members
GridGraph< N, DirectedTag >::IndexMap Class Reference

Type of a property map that returns the coordinate of a given node (API: LEMON). More...

`#include <vigra/multi_gridgraph.hxx>`

## Public Member Functions

| IndexMap (const GridGraph &)
| Construct property map for the given graph.
Value const & | operator[] (Key const &key) const
| Get the grid coordinate of the node descriptor key.

## Detailed Description

template<unsigned int N, class DirectedTag = undirected_tag>
class vigra::GridGraph< N, DirectedTag >::IndexMap

Type of a property map that returns the coordinate of a given node (API: LEMON).

The documentation for this class was generated from the following file:

- vigra/multi_gridgraph.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4